Subject: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options

From: [email-masked]
Date: Sun, 29 Nov 2020 18:53:46 +0100

> Sent: Sunday, November 29, 2020 at 6:22 PM
> From: "Jean Louis" <[email-masked]>
> To: [email-masked]
> Cc: "Eli Zaretskii" <[email-masked]>, [email-masked]
> Subject: Re: bug#44935: Emacs inserts hardwired org-agenda-files variable, overwriting user options
>
> * [email-masked] <[email-masked]> [2020-11-29 20:02]:
> > Correct, everything tells you it is part of Emacs.  Then one sends a report and people
> > start sending in in a long winded road to find the appropriate
> > channel.
>
> We can consider those features of reporting bugs still in
> development. I never knew since recently that there are various
> reporting bug functions. You can discover it easier by using
> completion such as ivy package.

For new users? Will never happen. Put the mailing lists in the damn webpage,
categorising them if necessary, but having them so anybody can see them.
Furthermore, Org is so integrated in Emacs that a large part of the user
community would not be in a position to determine whether it is a problem
of Emacs or Org.

> There is:
>
> - report-calc-bug
> - calc-report-bug
> - c-submit-bug-report
> - TeX-submit-bug-report
> - org and Emacs maybe others
>
> > You look at "Emacs Asking for help" and "Emacs Reporting bugs" and you get only two things
> > [email-masked] and [email-masked].  Have been following discussions here
> > and people herd together telling others they are doing everything backwards. And insisting
> > everything is fine, makes serious people not happy at all.  I do not want to hurt anyone,
> > but there exists a wall between maintainers and users who basically use Gnu Tools to do
> > something else.
>
> Users could assign to themselves specific level such as Beginner,
> Intermediate, Advance and God.

God does not exist, get used to it!  Look, if you put the various lists there,
people would use them.  Making things difficult only wakes people give Emacs the
finger rather than concluding the developers are smart.  Does this not bother
Gnu Admins?

> Beginner would be welcomed to submit bugs and kindly explained that
> there exists specialized mailing list with more people able to help
> it.
>
> Intermediate user would be simply told to go somewhere else.
>
> Advanced user would be anyway submitting patches and be active in
> Emacs development, so there would be no problem with this level.
>
> God would never tell anything to anybody just as what is usual that
> God does, I guess M-x something...

As long as developers continue thinking they are gods. they will get
no respect.  Grow up and do it quick!